/*
 * ICESOFT COMMERCIAL SOURCE CODE LICENSE V 1.1
 *
 * The contents of this file are subject to the ICEsoft Commercial Source
 * Code License Agreement V1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of the
 * License at
 * http://www.icesoft.com/license/commercial-source-v1.1.html
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2009-2015 ICEsoft Technologies Canada, Corp. All Rights Reserved.
 */
package com.icesoft.faces.facelets.example.spinner;

import com.icesoft.faces.facelets.component.spinner.INumberSpinnerListener;
import com.icesoft.faces.facelets.component.spinner.NumberSpinner;

import java.io.Serializable;

public class NumberSpinnerExampleBean implements Serializable {

    private NumberSpinner spinner;
    private NumberSpinner incrementSpinner;

    public NumberSpinnerExampleBean() {
        //create a spinner with a default value of 10, min of 0, max of 150 and no listener
        this.spinner = new NumberSpinner(10, 0, 150, null);
        //create a spinner with a default value of 1, a min of 1, no max, and a listener
        this.incrementSpinner = new NumberSpinner(1, 1, null, new IncrementSpinnerListener());
    }

    public NumberSpinner getSpinner() {
        return spinner;
    }

    public NumberSpinner getIncrementSpinner() {
        return incrementSpinner;
    }

    class IncrementSpinnerListener implements INumberSpinnerListener, Serializable {

        public void valueChanged(int oldVal, int newVal) {
            spinner.setIncrementBy(newVal);
        }
    }


}
